AOZ Studio Beta - Bug #470

Quoted strings (by themselves) can compile!
09/09/2020 06:26 PM - Brian Flanagan

Status: Closed Start date: 09/09/2020
Priority: Low Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Beta 1

Affected version:

Description

This code compiled, and did not affect the functioning of the program:

Yep. There was No Print, no X$=, no Data, and no comment markers.
It was just a quoted string!

The interesting thing is that it didn't hurt the functioning of the compiled code.
The lines before and after it were executed perfectly.

It appears to have been ignored, like a comment.

It really *should* produce a syntax error though.

History

#1 - 09/27/2020 05:10 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 11/16/2020 09:39 PM - Brian Flanagan
- Status changed from Resolved to Closed
- Target version set to Beta 1

- Affected version deleted (Beta RC2)

Retested in Beta 1 - Works!
